Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.graph
Class UpdateHandlerSDB

    java.lang.Object
      com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler
          com.hp.hpl.jena.sdb.graph.UpdateHandlerSDB

All Implemented Interfaces:
  com.hp.hpl.jena.graph.BulkUpdateHandler

    public class UpdateHandlerSDB

extends com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler

This is very dumb, but ensures we bulk update when we can

Author:
  pldms

Constructor Summary
`UpdateHandlerSDB(GraphSDB graph)`

Method Summary
`void` | `add(com.hp.hpl.jena.graph.Graph arg0)`
`void` | `add(com.hp.hpl.jena.graph.Graph arg0, boolean arg1)`
`void` | `add(Iterator<com.hp.hpl.jena.graph.Triple> arg0)`
`void` | `add(List<com.hp.hpl.jena.graph.Triple> arg0)`
`void` | `add(com.hp.hpl.jena.graph.Triple[] arg0)`
`void` | `delete(com.hp.hpl.jena.graph.Graph arg0)`
`void` | `delete(com.hp.hpl.jena.graph.Graph arg0, boolean arg1)`
`void` | `delete(Iterator<com.hp.hpl.jena.graph.Triple> arg0)`
`void` | `delete(List<com.hp.hpl.jena.graph.Triple> arg0)`
`void` | `delete(com.hp.hpl.jena.graph.Triple[] arg0)`
`void` | `remove(com.hp.hpl.jena.graph.Node arg0, com.hp.hpl.jena.graph.Node arg1, com.hp.hpl.jena.graph.Node arg2)`
`void` | `removeAll()`

Methods inherited from class com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler
`addIterator, addReifications, deleteIterator, deleteReifications, removeAll, removeAll`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateHandlerSDB

    public UpdateHandlerSDB(GraphSDB graph)

Method Detail

### add

    public void add(com.hp.hpl.jena.graph.Triple[] arg0)

  Specified by:
    `add` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `add` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### add

    public void add(List<com.hp.hpl.jena.graph.Triple> arg0)

  Specified by:
    `add` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `add` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### add

    public void add(Iterator<com.hp.hpl.jena.graph.Triple> arg0)

  Specified by:
    `add` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `add` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### add

    public void add(com.hp.hpl.jena.graph.Graph arg0)

  Specified by:
    `add` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `add` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### add

    public void add(com.hp.hpl.jena.graph.Graph arg0,
                    boolean arg1)

  Specified by:
    `add` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `add` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### delete

    public void delete(com.hp.hpl.jena.graph.Triple[] arg0)

  Specified by:
    `delete` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `delete` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### delete

    public void delete(List<com.hp.hpl.jena.graph.Triple> arg0)

  Specified by:
    `delete` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `delete` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### delete

    public void delete(Iterator<com.hp.hpl.jena.graph.Triple> arg0)

  Specified by:
    `delete` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `delete` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### delete

    public void delete(com.hp.hpl.jena.graph.Graph arg0)

  Specified by:
    `delete` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `delete` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### delete

    public void delete(com.hp.hpl.jena.graph.Graph arg0,
                       boolean arg1)

  Specified by:
    `delete` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `delete` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### remove

    public void remove(com.hp.hpl.jena.graph.Node arg0,
                       com.hp.hpl.jena.graph.Node arg1,
                       com.hp.hpl.jena.graph.Node arg2)

  Specified by:
    `remove` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `remove` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

### removeAll

    public void removeAll()

  Specified by:
    `removeAll` in interface `com.hp.hpl.jena.graph.BulkUpdateHandler`
  Overrides:
    `removeAll` in class `com.hp.hpl.jena.graph.impl.SimpleBulkUpdateHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.